2018-04-27 04:40 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004656Kali Linux[All Projects] Kali Package Bugpublic2018-03-29 09:39
Reporternabilharabi 
Assigned To 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version2018.1 
Target VersionFixed in Version2018.2 
Summary0004656: jsql injection not working even update new version
Descriptionjsql injection not opened, even i runned new version 0.81 from terminal. I got this error output.
15:45:37,020 ERROR root:35 - Unhandled Exception on main
java.lang.NoClassDefFoundError: javax/xml/bind/JAXBException
    at com.jsql.model.injection.vendor.Vendor.<clinit>(Vendor.java:11)
    at com.jsql.model.InjectionModel.<init>(InjectionModel.java:121)
    at com.jsql.MainApplication.main(MainApplication.java:58)
Caused by: java.lang.ClassNotFoundException: javax.xml.bind.JAXBException
    at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:582)
    at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:185)
    at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:496)
    ... 3 more

Exception: java.lang.NullPointerException thrown from the UncaughtExceptionHandler in thread "main"
Attached Files

-Relationships
+Relationships

-Notes

~0008970

sbrun (manager)

I just updated the package to version 0.81-0kali1.
With this latest version, you can use the command jsql directly

Or you can run the command java with the option "--add-modules java.xml.bind".
+Notes

-Issue History
Date Modified Username Field Change
2018-03-28 13:48 nabilharabi New Issue
2018-03-28 13:48 nabilharabi File Added: Screenshot from 2018-03-28 00-30-15.png
2018-03-29 09:39 sbrun Status new => resolved
2018-03-29 09:39 sbrun Resolution open => fixed
2018-03-29 09:39 sbrun Fixed in Version => 2018.2
2018-03-29 09:39 sbrun Note Added: 0008970
+Issue History